@echo off
cls   
if not "%1"=="BATCH" goto USER 
shift
set CB=BATCH
goto COMPILE

:USER
echo :  This batch file builds the CodeReporter DLL 'CR2CODE.DLL'.
echo :
echo :  During this process the file 'CR2CODE.DLL' is erased.
echo :
echo :  Compile output can be viewed in the  file 'OUT' located
echo :  in the SOURCE directory.  
echo :
echo :  This batch file can be run in batch mode so that no user 
echo :  interaction is required provided that the files 'CR2CODE.BAT', 
echo :  'CR2CODE.LST", and 'CR2CODE.DEF' are in the same directory as the 
echo :  source and the 'BATCH' command line option is specified.
echo :
echo :  This compilation may produce some warnings that will not 
echo :  appear with other compile options.
echo :
echo :  Warning:  Install CodeBase 5.1 before running this batch file.
echo :  
echo :  Press Ctrl C or Break to abort.
echo :
pause

copy cr2code.lst ..\source
copy cr2code.def ..\source
chdir ..\source

if exist CR2CODE.DLL erase CR2CODE.DLL

:COMPILE
echo on
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 B4BLOCK.C    >  OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 C4.C         >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 C4BCD.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 C4CODE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 C4CONST.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4APPEND.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4CLOSE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4CREATE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4DATA.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4DATE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4FIELD.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4FLUSH.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4FRESH.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4GO.C       >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4INDEX.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4LOCK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4OPEN.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4OPT.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4PACK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4POSITI.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4SEEK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4SKIP.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4TAG.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4UNLOCK.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4WRITE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 D4ZAP.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4CALC.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4CALC_2.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4ERROR.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4EXPR.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4FUNCTI.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4NOT_S.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 E4PARSE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4ASS_F.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4CHAR.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4CLOSE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4CREATE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4DOUBLE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4FIELD.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4FILE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4FILESE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4FLAG.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4FLUSH.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4INFO.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4INT.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4LOCK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4LONG.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4MEMO.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4OPEN.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4OPT.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4PTR.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4STR.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4TEMP.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4TRUE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 F4WRITE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4ADD.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4ADDTAG.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4CHECK.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4CREATE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4DUMP.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4INDEX.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4INFO.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4INIT.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4KEY.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4LOCK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4NTAG.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4POSITI.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4REMOVE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 I4TAG.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 L4LINK.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 L4LOCK_C.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4CHECK.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4CREATE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4FILE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4MAP.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4MEMO.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 M4MEMORY.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 O4OPT.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4AREA.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4BIT.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4DRIVE2.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4DRIVER.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4GROUP.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4LOG.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4OBJ.C      >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4REINDE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4REINDX.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4RELATE.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4REPORT.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4SAVE.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4SAVE_2.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4STYLE.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 R4TOTAL.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 S4INIT.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 S4INITFR.C   >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 S4NEXT.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 S4QUICK.C    >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 S4SORT.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 U4NAME.C     >> OUT
cl -DS4DLL_BUILD %1 %2 %3 %4 %5 -c -YX -Zp1 -W1 U4UTIL.C     >> OUT
link @cr2code.lst >> OUT

@echo off
if %CB%=="BATCH" goto END
chdir ..\msc8nt

:END
set CB=
